Bug 533038 (CVE-2009-3301) - CVE-2009-3301 OpenOffice.org Word sprmTDefTable Memory Corruption
Summary: CVE-2009-3301 OpenOffice.org Word sprmTDefTable Memory Corruption
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3301
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=upstream,repo...
Depends On: 529747 529748 529749 529750 529751 529752 529753
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-04 19:03 UTC by Josh Bressers
Modified: 2019-06-08 12:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-29 10:05:11 UTC


Attachments (Terms of Use)
fix (combined with that of CVE-2009-3302) (2.00 KB, patch)
2009-11-26 15:29 UTC, Caolan McNamara
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0101 normal SHIPPED_LIVE Important: openoffice.org security update 2010-02-12 16:21:30 UTC

Description Josh Bressers 2009-11-04 19:03:24 UTC
An integer underflow flaw, possibly leading to a heap-based
buffer overflow, was found in the way OpenOffice.org parsed
certain records in Microsoft Word documents. An attacker could
create a specially-crafted Microsoft Word document, which once
opened by a local, unsuspecting user, could cause OpenOffice.org
to crash or, potentially, execute arbitrary code with the
permissions of the user running OpenOffice.org.

Credit: Nicolas Joly of VUPEN Vulnerability Research Team

Comment 2 Vincent Danen 2009-11-10 16:57:39 UTC
This issue has been assigned CVE-2009-3301

Comment 3 Caolan McNamara 2009-11-26 15:29:12 UTC
Created attachment 374028 [details]
fix (combined with that of CVE-2009-3302)

Comment 5 Jan Lieskovsky 2010-02-12 13:39:47 UTC
Public now via:
  http://www.openoffice.org/security/bulletin.html

Comment 7 errata-xmlrpc 2010-02-12 16:22:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0101 https://rhn.redhat.com/errata/RHSA-2010-0101.html

Comment 8 Fedora Update System 2010-02-13 11:56:35 UTC
openoffice.org-3.1.1-19.12.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.12.fc11

Comment 9 Fedora Update System 2010-02-13 11:59:39 UTC
openoffice.org-3.1.1-19.26.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.26.fc12

Comment 10 Fedora Update System 2010-02-16 13:02:06 UTC
openoffice.org-3.1.1-19.26.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-02-16 13:23:54 UTC
openoffice.org-3.1.1-19.12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.